Index: mythplugins/mythweather/i18n/mythweather_en_gb.ts
===================================================================
--- mythplugins/mythweather/i18n/mythweather_en_gb.ts	(revision 0)
+++ mythplugins/mythweather/i18n/mythweather_en_gb.ts	(revision 0)
@@ -0,0 +1,1246 @@
+<?xml version="1.0" encoding="utf-8"?>
+<!DOCTYPE TS>
+<TS version="2.0" language="en_US">
+<context>
+    <name>GlobalSetup</name>
+    <message>
+        <location filename="../mythweather/weatherSetup.cpp" line="56"/>
+        <source>Finish</source>
+        <translation>Finish</translation>
+    </message>
+</context>
+<context>
+    <name>LocationDialog</name>
+    <message>
+        <location filename="../mythweather/weatherSetup.cpp" line="964"/>
+        <source>Search</source>
+        <translation>Search</translation>
+    </message>
+    <message>
+        <location filename="../mythweather/weatherSetup.cpp" line="975"/>
+        <source>Searching ...</source>
+        <translation>Searching ...</translation>
+    </message>
+    <message>
+        <location filename="../mythweather/weatherSetup.cpp" line="997"/>
+        <source>Searching ... Results: %1</source>
+        <translation>Searching ... Results: %1</translation>
+    </message>
+    <message>
+        <location filename="../mythweather/weatherSetup.cpp" line="1045"/>
+        <source>Search Complete. Results: %1</source>
+        <translation>Search Complete. Results: %1</translation>
+    </message>
+    <message>
+        <location filename="../mythweather/weatherSetup.cpp" line="1066"/>
+        <source>Source: %1</source>
+        <translation>Source: %1</translation>
+    </message>
+</context>
+<context>
+    <name>MythControls</name>
+    <message>
+        <location filename="../mythweather/main.cpp" line="31"/>
+        <source>Weather forecasts</source>
+        <translation>Weather forecasts</translation>
+    </message>
+    <message>
+        <location filename="../mythweather/main.cpp" line="33"/>
+        <source>Pause current page</source>
+        <translation>Pause current page</translation>
+    </message>
+    <message>
+        <location filename="../mythweather/main.cpp" line="35"/>
+        <location filename="../mythweather/main.cpp" line="37"/>
+        <location filename="../mythweather/main.cpp" line="39"/>
+        <source>Search List</source>
+        <translation>Search List</translation>
+    </message>
+</context>
+<context>
+    <name>QObject</name>
+    <message>
+        <location filename="../mythweather/weatherUtils.cpp" line="15"/>
+        <source>Current Conditions</source>
+        <translation>Current Conditions</translation>
+    </message>
+    <message>
+        <location filename="../mythweather/weatherUtils.cpp" line="17"/>
+        <source>Three Day Forecast</source>
+        <translation>Three Day Forecast</translation>
+    </message>
+    <message>
+        <location filename="../mythweather/weatherUtils.cpp" line="19"/>
+        <source>18 Hour Forecast</source>
+        <translation>18 Hour Forecast</translation>
+    </message>
+    <message>
+        <location filename="../mythweather/weatherUtils.cpp" line="21"/>
+        <source>Severe Weather Alerts</source>
+        <translation>Severe Weather Alerts</translation>
+    </message>
+    <message>
+        <location filename="../mythweather/weatherUtils.cpp" line="23"/>
+        <source>Six Day Forecast</source>
+        <translation>Six Day Forecast</translation>
+    </message>
+    <message>
+        <location filename="../mythweather/weatherUtils.cpp" line="25"/>
+        <source>Static Map</source>
+        <translation>Static Map</translation>
+    </message>
+    <message>
+        <location filename="../mythweather/weatherUtils.cpp" line="27"/>
+        <source>Animated Map</source>
+        <translation>Animated Map</translation>
+    </message>
+</context>
+<context>
+    <name>ScreenSetup</name>
+    <message>
+        <location filename="../mythweather/weatherSetup.cpp" line="151"/>
+        <source>Active Screens</source>
+        <translation>Active Screens</translation>
+    </message>
+    <message>
+        <location filename="../mythweather/weatherSetup.cpp" line="155"/>
+        <source>Inactive Screens</source>
+        <translation>Inactive Screens</translation>
+    </message>
+    <message>
+        <location filename="../mythweather/weatherSetup.cpp" line="176"/>
+        <source>Finish</source>
+        <translation>Finish</translation>
+    </message>
+    <message>
+        <location filename="../mythweather/weatherSetup.cpp" line="233"/>
+        <source>Add desired screen to the Active Screens list by pressing SELECT.</source>
+        <translation>Add desired screen to the Active Screens list by pressing SELECT.</translation>
+    </message>
+    <message>
+        <location filename="../mythweather/weatherSetup.cpp" line="236"/>
+        <source>Sources</source>
+        <translation>Sources</translation>
+    </message>
+    <message>
+        <location filename="../mythweather/weatherSetup.cpp" line="252"/>
+        <source>Units: </source>
+        <translation>Units: </translation>
+    </message>
+    <message>
+        <location filename="../mythweather/weatherSetup.cpp" line="254"/>
+        <location filename="../mythweather/weatherSetup.cpp" line="600"/>
+        <source>English Units</source>
+        <translation>English Units</translation>
+    </message>
+    <message>
+        <location filename="../mythweather/weatherSetup.cpp" line="254"/>
+        <location filename="../mythweather/weatherSetup.cpp" line="601"/>
+        <source>SI Units</source>
+        <translation>SI Units</translation>
+    </message>
+    <message>
+        <location filename="../mythweather/weatherSetup.cpp" line="260"/>
+        <source>Location: </source>
+        <translation>Location: </translation>
+    </message>
+    <message>
+        <location filename="../mythweather/weatherSetup.cpp" line="261"/>
+        <location filename="../mythweather/weatherSetup.cpp" line="264"/>
+        <source>Not Defined</source>
+        <translation>Not Defined</translation>
+    </message>
+    <message>
+        <location filename="../mythweather/weatherSetup.cpp" line="263"/>
+        <source>Source: </source>
+        <translation>Source: </translation>
+    </message>
+    <message>
+        <location filename="../mythweather/weatherSetup.cpp" line="267"/>
+        <source>Press SELECT to </source>
+        <translation>Press SELECT to </translation>
+    </message>
+    <message>
+        <location filename="../mythweather/weatherSetup.cpp" line="269"/>
+        <source>change location; </source>
+        <translation>change location; </translation>
+    </message>
+    <message>
+        <location filename="../mythweather/weatherSetup.cpp" line="271"/>
+        <source>change units; </source>
+        <translation>change units; </translation>
+    </message>
+    <message>
+        <location filename="../mythweather/weatherSetup.cpp" line="272"/>
+        <source>move screen up or down; or remove screen.</source>
+        <translation>move screen up or down; or remove screen.</translation>
+    </message>
+    <message>
+        <location filename="../mythweather/weatherSetup.cpp" line="507"/>
+        <source>Manipulate Screen</source>
+        <translation>Manipulate Screen</translation>
+    </message>
+    <message>
+        <location filename="../mythweather/weatherSetup.cpp" line="521"/>
+        <source>Move Up</source>
+        <translation>Move Up</translation>
+    </message>
+    <message>
+        <location filename="../mythweather/weatherSetup.cpp" line="522"/>
+        <source>Move Down</source>
+        <translation>Move Down</translation>
+    </message>
+    <message>
+        <location filename="../mythweather/weatherSetup.cpp" line="523"/>
+        <source>Remove</source>
+        <translation>Remove</translation>
+    </message>
+    <message>
+        <location filename="../mythweather/weatherSetup.cpp" line="524"/>
+        <source>Change Location</source>
+        <translation>Change Location</translation>
+    </message>
+    <message>
+        <location filename="../mythweather/weatherSetup.cpp" line="526"/>
+        <location filename="../mythweather/weatherSetup.cpp" line="587"/>
+        <source>Change Units</source>
+        <translation>Change Units</translation>
+    </message>
+    <message>
+        <location filename="../mythweather/weatherSetup.cpp" line="527"/>
+        <source>Cancel</source>
+        <translation>Cancel</translation>
+    </message>
+</context>
+<context>
+    <name>SourceManager</name>
+    <message>
+        <location filename="../mythweather/sourceManager.cpp" line="91"/>
+        <source>Searching for scripts</source>
+        <translation>Searching for scripts</translation>
+    </message>
+    <message>
+        <location filename="../mythweather/sourceManager.cpp" line="301"/>
+        <source>Script %1 is still running when trying to do update, Make sure it isn&apos;t hanging, make sure timeout values are sane... Not running this time around</source>
+        <translation>Script %1 is still running when trying to do update, Make sure it isn&apos;t hanging, make sure timeout values are sane... Not running this time around</translation>
+    </message>
+</context>
+<context>
+    <name>SourceSetup</name>
+    <message>
+        <location filename="../mythweather/weatherSetup.cpp" line="790"/>
+        <source>Finish</source>
+        <translation>Finish</translation>
+    </message>
+    <message>
+        <location filename="../mythweather/weatherSetup.cpp" line="904"/>
+        <source>Author: </source>
+        <translation>Author: </translation>
+    </message>
+    <message>
+        <location filename="../mythweather/weatherSetup.cpp" line="906"/>
+        <source>Email: </source>
+        <translation>Email: </translation>
+    </message>
+    <message>
+        <location filename="../mythweather/weatherSetup.cpp" line="907"/>
+        <source>Version: </source>
+        <translation>Version: </translation>
+    </message>
+</context>
+<context>
+    <name>String::DayOfWeek</name>
+    <message>
+        <location filename="strings.h" line="7"/>
+        <source>MON</source>
+        <translation>MON</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="8"/>
+        <source>TUE</source>
+        <translation>TUE</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="9"/>
+        <source>WED</source>
+        <translation>WED</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="10"/>
+        <source>THU</source>
+        <translation>THU</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="11"/>
+        <source>FRI</source>
+        <translation>FRI</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="12"/>
+        <source>SAT</source>
+        <translation>SAT</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="13"/>
+        <source>SUN</source>
+        <translation>SUN</translation>
+    </message>
+</context>
+<context>
+    <name>String::WeatherType</name>
+    <message>
+        <location filename="strings.h" line="34"/>
+        <source>Cloudy</source>
+        <translation>Cloudy</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="35"/>
+        <source>Mostly Cloudy</source>
+        <translation>Mostly Cloudy</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="36"/>
+        <source>Partly Cloudy</source>
+        <translation>Partly Cloudy</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="37"/>
+        <source>Light Rain</source>
+        <translation>Light Rain</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="38"/>
+        <source>Showers</source>
+        <translation>Showers</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="39"/>
+        <location filename="strings.h" line="131"/>
+        <source>Rain</source>
+        <translation>Rain</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="40"/>
+        <source>AM Showers</source>
+        <translation>AM Showers</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="41"/>
+        <source>Fog</source>
+        <translation>Fog</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="42"/>
+        <source>Few Showers</source>
+        <translation>Few Showers</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="43"/>
+        <source>Mostly Sunny</source>
+        <translation>Mostly Sunny</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="44"/>
+        <source>Sunny</source>
+        <translation>Sunny</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="45"/>
+        <source>Scattered Flurries</source>
+        <translation>Scattered Flurries</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="46"/>
+        <source>AM Clouds/PM Sun</source>
+        <translation>AM Clouds/PM Sun</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="47"/>
+        <source>Isolated T-Storms</source>
+        <translation>Isolated Thunderstorms</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="48"/>
+        <source>Scattered Thunderstorms</source>
+        <translation>Scattered Thunderstorms</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="49"/>
+        <source>PM Showers</source>
+        <translation>PM Showers</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="50"/>
+        <source>PM Showers/Wind</source>
+        <translation>PM Showers/Wind</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="51"/>
+        <source>Rain/Snow Showers</source>
+        <translation>Rain/Snow Showers</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="52"/>
+        <source>Few Snow Showers</source>
+        <translation>Few Snow Showers</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="53"/>
+        <source>Cloudy/Wind</source>
+        <translation>Cloudy/Wind</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="54"/>
+        <source>Flurries/Wind</source>
+        <translation>Flurries/Wind</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="55"/>
+        <source>Mostly Cloudy/Windy</source>
+        <translation>Mostly Cloudy/Windy</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="56"/>
+        <source>Rain/Thunder</source>
+        <translation>Rain/Thunder</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="57"/>
+        <location filename="strings.h" line="134"/>
+        <source>Partly Cloudy/Windy</source>
+        <translation>Partly Cloudy/Windy</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="58"/>
+        <source>AM Rain/Snow Showers</source>
+        <translation>AM Rain/Snow Showers</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="59"/>
+        <source>Light Rain/Wind</source>
+        <translation>Light Rain/Wind</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="60"/>
+        <source>Showers/Wind</source>
+        <translation>Showers/Wind</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="61"/>
+        <source>Mostly Sunny/Wind</source>
+        <translation>Mostly Sunny/Wind</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="62"/>
+        <source>Flurries</source>
+        <translation>Flurries</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="63"/>
+        <source>Rain/Wind</source>
+        <translation>Rain/Wind</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="64"/>
+        <source>Sct Flurries/Wind</source>
+        <translation>Sct Flurries/Wind</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="65"/>
+        <source>Sct Strong Storms</source>
+        <translation>Sct Strong Storms</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="66"/>
+        <source>PM T-Storms</source>
+        <translation>PM Thunderstorms</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="67"/>
+        <source>Thunderstorms</source>
+        <translation>Thunderstorms</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="68"/>
+        <source>Sunny/Windy</source>
+        <translation>Sunny/Windy</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="69"/>
+        <source>AM Thunderstorms</source>
+        <translation>AM Thunderstorms</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="70"/>
+        <source>AM Rain</source>
+        <translation>AM Rain</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="71"/>
+        <source>Iso T-Storms/Wind</source>
+        <translation>Isolated Thunderstorms/Wind</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="72"/>
+        <source>Rain/Snow</source>
+        <translation>Rain/Snow</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="73"/>
+        <source>Sct T-Storms/Wind</source>
+        <translation>Sct Thunderstorms/Wind</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="74"/>
+        <source>AM Showers/Wind</source>
+        <translation>AM Showers/Wind</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="75"/>
+        <source>Sct Snow Showers</source>
+        <translation>Sct Snow Showers</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="76"/>
+        <source>Snow to Ice/Wind</source>
+        <translation>Snow to Ice/Wind</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="77"/>
+        <source>Snow to Rain</source>
+        <translation>Snow to Rain</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="78"/>
+        <source>AM Light Rain</source>
+        <translation>AM Light Rain</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="79"/>
+        <source>PM Light Rain</source>
+        <translation>PM Light Rain</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="80"/>
+        <source>PM Rain</source>
+        <translation>PM Rain</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="81"/>
+        <source>Snow Showers</source>
+        <translation>Snow Showers</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="82"/>
+        <source>Rain to Snow</source>
+        <translation>Rain to Snow</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="83"/>
+        <source>PM Rain/Snow</source>
+        <translation>PM Rain/Snow</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="84"/>
+        <source>Few Showers/Wind</source>
+        <translation>Few Showers/Wind</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="85"/>
+        <source>Snow/Wind</source>
+        <translation>Snow/Wind</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="86"/>
+        <source>PM Rain/Snow Showers</source>
+        <translation>PM Rain/Snow Showers</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="87"/>
+        <location filename="strings.h" line="98"/>
+        <source>PM Rain/Snow/Wind</source>
+        <translation>PM Rain/Snow/Wind</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="88"/>
+        <source>Rain/Snow Showers/Wind</source>
+        <translation>Rain/Snow Showers/Wind</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="89"/>
+        <source>Rain/Snow/Wind</source>
+        <translation>Rain/Snow/Wind</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="90"/>
+        <source>Light Snow</source>
+        <translation>Light Snow</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="91"/>
+        <source>PM Snow</source>
+        <translation>PM Snow</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="92"/>
+        <source>Few Snow Showers/Wind</source>
+        <translation>Few Snow Showers/Wind</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="93"/>
+        <source>Light Snow/Wind</source>
+        <translation>Light Snow/Wind</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="94"/>
+        <source>Wintry Mix</source>
+        <translation>Wintry Mix</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="95"/>
+        <source>AM Wintry Mix</source>
+        <translation>AM Wintry Mix</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="96"/>
+        <location filename="strings.h" line="132"/>
+        <source>Hvy Rain/Freezing Rain</source>
+        <translation>Heavy Rain/Freezing Rain</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="97"/>
+        <source>AM Light Snow</source>
+        <translation>AM Light Snow</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="99"/>
+        <source>Rain/Freezing Rain</source>
+        <translation>Rain/Freezing Rain</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="100"/>
+        <source>T-Storms/Wind</source>
+        <translation>Thunderstorms/Wind</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="101"/>
+        <source>Sprinkles</source>
+        <translation>Sprinkles</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="102"/>
+        <source>AM Snow Showers</source>
+        <translation>AM Snow Showers</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="103"/>
+        <source>AM Clouds/PM Sun/Wind</source>
+        <translation>AM Clouds/PM Sun/Wind</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="104"/>
+        <source>AM Rain/Snow/Wind</source>
+        <translation>AM Rain/Snow/Wind</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="105"/>
+        <source>Rain to Snow/Wind</source>
+        <translation>Rain to Snow/Wind</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="106"/>
+        <source>Snow to Wintry Mix</source>
+        <translation>Snow to Wintry Mix</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="107"/>
+        <source>PM Snow Showers/Wind</source>
+        <translation>PM Snow Showers/Wind</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="108"/>
+        <source>Snow and Ice to Rain</source>
+        <translation>Snow and Ice to Rain</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="109"/>
+        <source>Heavy Rain</source>
+        <translation>Heavy Rain</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="110"/>
+        <source>AM Rain/Ice</source>
+        <translation>AM Rain/Ice</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="111"/>
+        <source>AM Snow Showers/Wind</source>
+        <translation>AM Snow Showers/Wind</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="112"/>
+        <source>AM Light Snow/Wind</source>
+        <translation>AM Light Snow/Wind</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="113"/>
+        <source>PM Light Rain/Wind</source>
+        <translation>PM Light Rain/Wind</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="114"/>
+        <source>AM Light Wintry Mix</source>
+        <translation>AM Light Wintry Mix</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="115"/>
+        <source>PM Light Snow/Wind</source>
+        <translation>PM Light Snow/Wind</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="116"/>
+        <source>Heavy Rain/Wind</source>
+        <translation>Heavy Rain/Wind</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="117"/>
+        <source>PM Snow Shower</source>
+        <translation>PM Snow Shower</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="118"/>
+        <source>Snow to Rain/Wind</source>
+        <translation>Snow to Rain/Wind</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="119"/>
+        <source>PM Light Rain/Ice</source>
+        <translation>PM Light Rain/Ice</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="120"/>
+        <source>AM Snow</source>
+        <translation>AM Snow</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="121"/>
+        <source>Snow to Ice</source>
+        <translation>Snow to Ice</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="122"/>
+        <source>Wintry Mix/Wind</source>
+        <translation>Wintry Mix/Wind</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="123"/>
+        <source>PM Light Snow</source>
+        <translation>PM Light Snow</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="124"/>
+        <source>AM Drizzle</source>
+        <translation>AM Drizzle</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="125"/>
+        <source>Strong Storms/Wind</source>
+        <translation>Strong Storms/Wind</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="126"/>
+        <source>PM Drizzle</source>
+        <translation>PM Drizzle</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="127"/>
+        <source>Drizzle</source>
+        <translation>Drizzle</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="128"/>
+        <source>AM Light Rain/Wind</source>
+        <translation>AM Light Rain/Wind</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="129"/>
+        <source>AM Rain/Wind</source>
+        <translation>AM Rain/Wind</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="130"/>
+        <source>Wintry Mix to Snow</source>
+        <translation>Wintry Mix to Snow</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="133"/>
+        <source>Snow Showers/Windy</source>
+        <translation>Snow Showers/Windy</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="135"/>
+        <source>Light Rain Shower</source>
+        <translation>Light Rain Shower</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="136"/>
+        <source>Light Rain with Thunder</source>
+        <translation>Light Rain with Thunder</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="137"/>
+        <source>Light Drizzle</source>
+        <translation>Light Drizzle</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="138"/>
+        <source>Mist</source>
+        <translation>Mist</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="139"/>
+        <source>Smoke</source>
+        <translation>Smoke</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="140"/>
+        <source>Haze</source>
+        <translation>Haze</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="141"/>
+        <source>Light Snow Shower</source>
+        <translation>Light Snow Shower</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="142"/>
+        <source>Light Snow Shower/ Windy</source>
+        <translation>Light Snow Shower/ Windy</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="143"/>
+        <source>Clear</source>
+        <translation>Clear</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="144"/>
+        <source>A Few Clouds</source>
+        <translation>A Few Clouds</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="145"/>
+        <source>Fair</source>
+        <translation>Fair</translation>
+    </message>
+</context>
+<context>
+    <name>String::WindDirection</name>
+    <message>
+        <location filename="strings.h" line="16"/>
+        <source>N</source>
+        <translation>N</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="17"/>
+        <source>NNE</source>
+        <translation>NNE</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="18"/>
+        <source>NE</source>
+        <translation>NE</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="19"/>
+        <source>ENE</source>
+        <translation>ENE</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="20"/>
+        <source>E</source>
+        <translation>E</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="21"/>
+        <source>ESE</source>
+        <translation>ESE</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="22"/>
+        <source>SE</source>
+        <translation>SE</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="23"/>
+        <source>SSE</source>
+        <translation>SSE</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="24"/>
+        <source>S</source>
+        <translation>S</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="25"/>
+        <source>SSW</source>
+        <translation>SSW</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="26"/>
+        <source>SW</source>
+        <translation>SW</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="27"/>
+        <source>WSW</source>
+        <translation>WSW</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="28"/>
+        <source>W</source>
+        <translation>W</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="29"/>
+        <source>WNW</source>
+        <translation>WNW</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="30"/>
+        <source>NW</source>
+        <translation>NW</translation>
+    </message>
+    <message>
+        <location filename="strings.h" line="31"/>
+        <source>NNW</source>
+        <translation>NNW</translation>
+    </message>
+</context>
+<context>
+    <name>ThemeUI</name>
+    <message>
+        <location filename="themestrings.h" line="2"/>
+        <source>Humidity</source>
+        <translation>Humidity</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="3"/>
+        <source>Pressure</source>
+        <translation>Pressure</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="4"/>
+        <source>Wind(Gust)</source>
+        <translation>Wind (Gust)</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="5"/>
+        <source>Wind Direction</source>
+        <translation>Wind Direction</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="6"/>
+        <source>Visibility</source>
+        <translation>Visibility</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="7"/>
+        <source>Feels Like</source>
+        <translation>Feels Like</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="8"/>
+        <source>Last Updated %1</source>
+        <translation>Last Updated %1</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="9"/>
+        <source>High Temperature:  %1</source>
+        <translation>High Temperature:  %1</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="10"/>
+        <source>Low Temperature:  %1</source>
+        <translation>Low Temperature:  %1</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="11"/>
+        <source>Temperature:  %1</source>
+        <translation>Temperature:  %1</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="12"/>
+        <source>Chance of Precipitation:  %1</source>
+        <translation>Chance of Precipitation:  %1</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="13"/>
+        <source>Weather Screen Settings</source>
+        <translation>Weather Screen Settings</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="14"/>
+        <source>This screen governs the behavior of the weather screens.  You can enable a background weather update which will run regardless of being on the weather screen, and configure how many seconds each screen will display.
+
+When you are done configuring the Weather Plugin, click &quot;Finish&quot; to continue.</source>
+        <translation>This screen governs the behavior of the weather screens.  You can enable a background weather update which will run regardless of being on the weather screen, and configure how many seconds each screen will display.
+
+When you are done configuring MythWeather, click &quot;Finish&quot; to continue.</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="15"/>
+        <source>Retrieve data in background:</source>
+        <translation>Retrieve data in background:</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="16"/>
+        <source>Seconds to display each page:</source>
+        <translation>Seconds to display each page:</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="17"/>
+        <source>OK</source>
+        <translation>OK</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="18"/>
+        <source>Weather Setup</source>
+        <translation>Weather Setup</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="19"/>
+        <source>Available Screens</source>
+        <translation>Available Screens</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="20"/>
+        <source>Active Screens</source>
+        <translation>Active Screens</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="21"/>
+        <source>Weather Script Settings</source>
+        <translation>Weather Script Settings</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="22"/>
+        <source>This settings screen governs the behavior of individual weather scripts.  Select the script whose behavior you with to change and press the right arrow. Adjust the interval at which data is retrieved, and the timeout for accessing the site.
+
+When you have completed your changes, click &quot;Finish&quot; to continue.</source>
+        <translation>This settings screen governs the behavior of individual weather scripts.  Select the script whose behavior you with to change and press the right arrow. Adjust the interval at which data is retrieved, and the timeout for accessing the site.
+
+When you have completed your changes, click &quot;Finish&quot; to continue.</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="23"/>
+        <source>Data Retrieval Interval (minutes):</source>
+        <translation>Data Retrieval Interval (mins):</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="24"/>
+        <source>Source Update Timeout (seconds):</source>
+        <translation>Source Update Timeout (secs):</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="25"/>
+        <source>Finish</source>
+        <translation>Finish</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="26"/>
+        <source>Search</source>
+        <translation>Search</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="27"/>
+        <source>Enter Current Location</source>
+        <translation>Enter Current Location</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="28"/>
+        <source>As of</source>
+        <translation>As of</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="29"/>
+        <source>Low</source>
+        <translation>Low</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="30"/>
+        <source>High</source>
+        <translation>High</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="31"/>
+        <source>Weather Alerts</source>
+        <translation>Weather Alerts</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="32"/>
+        <source>Temp</source>
+        <translation>Temp</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="33"/>
+        <source>Retrieve data in the background:</source>
+        <translation>Retrieve data in the background:</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="34"/>
+        <source>Weather Location Search</source>
+        <translation>Weather Location Search</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="35"/>
+        <source>Enter your current location, nearest large town or city. In some countries postal codes are also supported.</source>
+        <translation>Enter your current location, nearest large town or city. In some countries postal codes are also supported.</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="36"/>
+        <source>Enter Location:</source>
+        <translation>Enter Location:</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="37"/>
+        <source>Weather</source>
+        <translation>Weather</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="38"/>
+        <source>Precip</source>
+        <translation>Precipitation</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="39"/>
+        <source>Severe Weather Alerts</source>
+        <translation>Severe Weather Alerts</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="40"/>
+        <source>Global Setup</source>
+        <translation>Global Setup</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="41"/>
+        <source>Screen Setup</source>
+        <translation>Screen Setup</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="42"/>
+        <source>Source Setup</source>
+        <translation>Source Setup</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="43"/>
+        <source>Location Search</source>
+        <translation>Location Search</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="44"/>
+        <source>Humidity:</source>
+        <translation>Humidity:</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="45"/>
+        <source>Pressure:</source>
+        <translation>Pressure:</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="46"/>
+        <source>Wind(Gust):</source>
+        <translation>Wind (Gust):</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="47"/>
+        <source>Wind Direction:</source>
+        <translation>Wind Direction:</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="48"/>
+        <source>Visibility:</source>
+        <translation>Visibility:</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="49"/>
+        <source>Feels Like:</source>
+        <translation>Feels Like:</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="50"/>
+        <source>Global Settings</source>
+        <translation>Global Settings</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="51"/>
+        <source>General weather plugin options</source>
+        <translation>General MythWeather Options</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="52"/>
+        <source>Screen Settings</source>
+        <translation>Screen Settings</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="53"/>
+        <source>Choose which weather forecasts to display</source>
+        <translation>Choose which weather forecasts to display</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="54"/>
+        <source>Source Settings</source>
+        <translation>Source Settings</translation>
+    </message>
+    <message>
+        <location filename="themestrings.h" line="55"/>
+        <source>Configure the behavior of weather scripts</source>
+        <translation>Configure the behavior of weather scripts</translation>
+    </message>
+</context>
+<context>
+    <name>Weather</name>
+    <message>
+        <location filename="../mythweather/weather.cpp" line="88"/>
+        <source>Paused</source>
+        <translation>Paused</translation>
+    </message>
+</context>
+<context>
+    <name>WeatherScreen</name>
+    <message>
+        <location filename="../mythweather/weatherScreen.cpp" line="196"/>
+        <source>Sunday</source>
+        <translation>Sunday</translation>
+    </message>
+    <message>
+        <location filename="../mythweather/weatherScreen.cpp" line="199"/>
+        <source>Monday</source>
+        <translation>Monday</translation>
+    </message>
+    <message>
+        <location filename="../mythweather/weatherScreen.cpp" line="202"/>
+        <source>Tuesday</source>
+        <translation>Tuesday</translation>
+    </message>
+    <message>
+        <location filename="../mythweather/weatherScreen.cpp" line="205"/>
+        <source>Wednesday</source>
+        <translation>Wednesday</translation>
+    </message>
+    <message>
+        <location filename="../mythweather/weatherScreen.cpp" line="208"/>
+        <source>Thursday</source>
+        <translation>Thursday</translation>
+    </message>
+    <message>
+        <location filename="../mythweather/weatherScreen.cpp" line="211"/>
+        <source>Friday</source>
+        <translation>Friday</translation>
+    </message>
+    <message>
+        <location filename="../mythweather/weatherScreen.cpp" line="214"/>
+        <source>Saturday</source>
+        <translation>Saturday</translation>
+    </message>
+</context>
+</TS>
Index: mythplugins/mythweather/i18n/i18n.pro
===================================================================
--- mythplugins/mythweather/i18n/i18n.pro	(revision 24112)
+++ mythplugins/mythweather/i18n/i18n.pro	(working copy)
@@ -10,7 +10,7 @@
 trans.files += mythweather_de.qm mythweather_ja.qm mythweather_it.qm
 trans.files += mythweather_fr.qm mythweather_sl.qm mythweather_fi.qm
 trans.files += mythweather_ru.qm mythweather_cs.qm mythweather_hu.qm
-trans.files += mythweather_et.qm
+trans.files += mythweather_et.qm mythweather_en_gb.qm
 
 INSTALLS += trans
 
Index: mythplugins/mythweather/i18n/translate.pro
===================================================================
--- mythplugins/mythweather/i18n/translate.pro	(revision 24112)
+++ mythplugins/mythweather/i18n/translate.pro	(working copy)
@@ -8,4 +8,4 @@
 TRANSLATIONS += mythweather_de.ts mythweather_ja.ts mythweather_it.ts
 TRANSLATIONS += mythweather_fr.ts mythweather_sl.ts mythweather_fi.ts
 TRANSLATIONS += mythweather_ru.ts mythweather_cs.ts mythweather_nb.ts
-TRANSLATIONS += mythweather_hu.ts mythweather_et.ts
+TRANSLATIONS += mythweather_hu.ts mythweather_et.ts mythweather_en_gb.ts
